Name: setarch
Version: 2.0
Release: alt2

Summary: Personality setter
License: GPL
Group: System/Kernel and hardware
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: setarch-%version.tar

%ifarch sparc sparcv9 sparc64
Provides: sparc32
Obsoletes: sparc32
%endif

%description
This utility tells the kernel to report a different architecture than
the current one, then runs a program in that environment.  It can also
set various personality flags.

%prep
%setup -q

%build
%__cc -o setarch setarch.c %optflags

%install
mkdir -p %buildroot%_bindir %buildroot%_mandir/man8
install -pm644 setarch.8 %buildroot%_mandir/man8/
install -m755 setarch %buildroot%_bindir/

LINKS="linux32 linux64"
%ifarch s390 s390x
LINKS="$LINKS s390 s390x"
%endif
%ifarch %ix86 x86_64 amd64 ia32e
LINKS="$LINKS i386 i486 i586 i686 x86_64"
%endif
%ifarch ppc ppc64
LINKS="$LINKS ppc ppc64 ppc32"
%endif
%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32"
%endif
%ifarch mips mips64
LINKS="$LINKS mips mips64 mips32"
%endif
%ifarch ia64
LINKS="$LINKS i386 ia64"
%endif
for i in $LINKS; do
	ln -s setarch %buildroot%_bindir/$i
	echo '.so man8/setarch.8' > %buildroot%_mandir/man8/$i.8
done

%files
%_bindir/*
%_mandir/man8/*

%changelog
* Thu Apr 12 2007 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt2
- Added more symlinks to setarch.

* Tue Apr 18 2006 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1
- Updated to 2.0.

* Sat Apr 01 2006 Dmitry V. Levin <ldv@altlinux.org> 1.9-alt3
- Further error handling cleanup.

* Thu Mar 23 2006 Dmitry V. Levin <ldv@altlinux.org> 1.9-alt2
- Synced with 1.9-owl1.

* Wed Mar 22 2006 Dmitry V. Levin <ldv@altlinux.org> 1.9-alt1
- Updated to 1.9.

* Thu Oct 20 2005 Dmitry V. Levin <ldv@altlinux.org> 1.8-alt1
- Initial build for ALT Linux.

* Tue Oct 18 2005 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- Initial build for Openwall GNU/*/Linux, based on RH package.
- fix sparc32 alias

* Thu Jun 30 2005 Jindrich Novy <jnovy@redhat.com> 1.8-1
- fix possible segfault when parsing unknown arguments (#161975)
- print wanings when unknown arguments are passed
- add FDPIC_FUNCPTRS personality

* Mon May  9 2005 Bill Nottingham <notting@redhat.com> 1.7-3
- don't strip binary, fixes debuginfo generation

* Mon Mar 07 2005 Jindrich Novy <jnovy@redhat.com> 1.7-2
- rebuilt with gcc4

* Fri Feb 04 2005 Jindrich Novy <jnovy@redhat.com> 1.7-1
- Add '-R' option for ADDR_NO_RANDOMIZE
  (patch from Arjan van de Ven)
- Minor code cleanup

* Wed Nov 03 2004 Elliot Lee <sopwith@redhat.com> 1.6-1
- More properly interpret the return value of SYS_personality

* Tue Oct 12 2004 Jindrich Novy <jnovy@redhat.com> 1.5-1
- Add various personality options #130511
- Update man page

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 24 2004 Elliot Lee <sopwith@redhat.com> 1.4-1
- Fix man page - #115552

* Wed Jan 14 2004 Elliot Lee <sopwith@redhat.com> 1.3-2
- Rebuild

* Tue Sep 02 2003 Elliot Lee <sopwith@redhat.com> 1.3-1
- Add linux32 alias

* Tue Aug 26 2003 Elliot Lee <sopwith@redhat.com> 1.2-1
- Fix -3 option

* Wed Aug 13 2003 Elliot Lee <sopwith@redhat.com> 1.1-1
- Add -3 option

* Wed Jun 11 2003 Elliot Lee <sopwith@redhat.com>
- Initial build.
